Get Geodata
curl --request GET \
--url https://api.engrate.io/core/v1/geo \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/core/v1/geo"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/core/v1/geo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"features": [
{
"geometry": {
"coordinates": [
[
[
[
18.07,
59.33
],
[
18.08,
59.33
],
[
18.08,
59.34
],
[
18.07,
59.33
]
]
]
],
"type": "MultiPolygon"
},
"id": "0199c317-25ec-7c00-b1a0-a1b2c3d4e5f6",
"properties": {
"extra_ids": [
{
"kind": "eic",
"value": "46Y000000000016G"
},
{
"kind": "se.mga_code",
"value": "STO"
}
],
"geometry_granularity": "mga",
"id": "0199c317-25ec-7c00-b1a0-a1b2c3d4e5f6",
"name": "Stockholm",
"scheduling_area_eic": "10Y1001A1001A47J",
"system_operator": {
"extra_ids": [
{
"kind": "eic",
"value": "46X000000000245K"
}
],
"id": "0199c317-25ec-7cf7-94cc-32a39f068433"
},
"type": "metering-grid-area"
},
"type": "Feature"
}
],
"type": "FeatureCollection"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Core
Get Geodata
Get GeoJSON data for electricity grid entities.
Returns a standard GeoJSON FeatureCollection in WGS84. The properties field contains the normal data fields for the entity returned, plus a type field indicating the entity type.
This currently supports Metering Grid Area.
Multiple values for the same filter are OR-ed; different filters are AND-ed.
GET
/
core
/
v1
/
geo
Get Geodata
Authorizations
Query Parameters
Filter by ISO 3166-1 alpha-2 country code(s)
Filter by Metering Grid Area UUID(s)
Filter by Metering Grid Area Extra Identifier(s) (EIC code, SE MGA code, etc.)
Response
Successful Response
Standard GeoJSON FeatureCollection with typed properties.
Was this page helpful?
⌘I